Bug 846185 - Simplify running of inventory
Simplify running of inventory
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: inventory (Show other bugs)
0.9
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 21.0
: ---
Assigned To: beaker-dev-list
UX
: FutureFeature, Patch
Depends On: 851354
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-07 00:56 EDT by Raymond Mancy
Modified: 2018-02-05 19:41 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-26 02:17:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raymond Mancy 2012-08-07 00:56:34 EDT
Now that we no longer have the Inventory distro, we have to create a new job and add the inventory task.

What would be nice is a more convenient way of doing this.

Adding a ksmeta var into the kickstart might be slightly easier. 
Even easier, would be having a button on the system page that added this for us, and kicked off a job.
Comment 1 Nick Coghlan 2013-06-13 03:51:24 EDT
Related to this, it would be nice if there was an alternative to hostRequires that only worked for explicitly named machines, but ignored the system status. That way, maintainers/users could just click the inventory button on the system page, even if the system state was set to Manual or Broken.
Comment 2 Amit Saha 2013-07-10 20:58:29 EDT
(In reply to Raymond Mancy from comment #0)
> Now that we no longer have the Inventory distro, we have to create a new job
> and add the inventory task.
> 
> What would be nice is a more convenient way of doing this.
> 
> Adding a ksmeta var into the kickstart might be slightly easier. 
> Even easier, would be having a button on the system page that added this for
> us, and kicked off a job.

+1 to the idea of having a button on the system page which kickstarts a inventory job for the system.
Comment 3 Bill Peck 2013-07-11 09:27:21 EDT
Ultimate goal was to have a live image that would be able to push the inventory data up.  That would allow us to inventory systems without re-provisioning them.
Comment 4 Nick Coghlan 2014-02-25 02:31:15 EST
Bug 851354 adds the ability to run recipes on Manual and Broken systems by explicitly specifying a system rather than using normal host filtering, which is one of the requirements to make it easier to properly test systems before putting them back into service.

That leaves this issue to cover providing both a simple bkr CLI command and a button in the web UI to rescan a system.

However, to avoid having to implement it twice, such a change should likely wait until after the system page redesign.
Comment 5 Nick Coghlan 2014-07-21 00:11:38 EDT
Bug 1121462 now covers the addition of a dedicated "bkr update-inventory" command, so this issue has been narrowed in scope to just providing an inventory button in the web UI (which won't happen until after the system page changes are merged).
Comment 6 Nick Coghlan 2014-11-19 23:50:54 EST
The system page changes landed in Beaker 19, so perhaps we could look at implementing this one in a 19.x release?
Comment 8 Amit Saha 2015-05-03 22:19:45 EDT
I think we discussed a new API endpoint to implement this. Something like:

GET /systems/<fqdn>/inventory

I am not sure GET is really the right HTTP method for this, but that seemed to be the most suitable. 

It is the responsibility of the server to figure out the most suitable distro for the system and submit a beaker job containing the /distribution/install and /distribution/inventory tasks.
Comment 9 Amit Saha 2015-05-04 00:57:37 EDT
Started a beaker-devel thread to discuss this: https://lists.fedorahosted.org/pipermail/beaker-devel/2015-May/001242.html
Comment 10 Amit Saha 2015-05-12 02:38:16 EDT
http://gerrit.beaker-project.org/#/c/4201/
Comment 14 Dan Callaghan 2015-08-26 02:17:00 EDT
Beaker 21.0 has been released.

Note You need to log in before you can comment on or make changes to this bug.